<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/ConfigHandler/CfgParamInt.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/dc8/_cfg_param_int_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CfgParamInt.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d2/dc8/_cfg_param_int_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>CfgParamInt <span class="keyword">extends</span> <a class="code hl_class" href="../../d2/d53/class_cfg_param_type.html">CfgParamType</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{   </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d2/d53/class_cfg_param_type.html#a55dcdf7a11179b63cedb94139c703f32">    3</a></span>    <span class="keyword">private</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d2/d53/class_cfg_param_type.html#a55dcdf7a11179b63cedb94139c703f32">m_Value</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d2/d53/class_cfg_param_type.html#a94ba4205ab00332fc75f5af7169aec1c">    5</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d53/class_cfg_param_type.html#a94ba4205ab00332fc75f5af7169aec1c">CfgParamInt</a>(<span class="keywordtype">string</span> param_name)</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_variable" href="../../d3/d14/group___entity_attributes.html#gaaea70e7c6201c28366a5107506d29d77">m_Value</a> = 0;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    }</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d2/d53/class_cfg_param_type.html#ad7d21d6322c2b1924f0dd232e27ac6bc">   10</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d53/class_cfg_param_type.html#ad7d21d6322c2b1924f0dd232e27ac6bc">SetValue</a>(<span class="keywordtype">int</span> value)</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_variable" href="../../d3/d14/group___entity_attributes.html#gaaea70e7c6201c28366a5107506d29d77">m_Value</a> = value;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    }</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d2/d53/class_cfg_param_type.html#a3d1583fa7481ae1b3356094c62ce0268">   15</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d2/d53/class_cfg_param_type.html#a3d1583fa7481ae1b3356094c62ce0268">GetValue</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d2/d53/class_cfg_param_type.html#a01f4c60112fbc41f975172093d15de77">m_Value</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d2/d53/class_cfg_param_type.html#a7be607ea82b7ca6597f4320351cbe518">   20</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d2/d53/class_cfg_param_type.html#a7be607ea82b7ca6597f4320351cbe518">GetType</a>()</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/d22/_cfg_param_8c.html#aa51a3809577ff9b39347a158d9d628f9">CFG_TYPE_INT</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>}</div>
<div class="ttc" id="a_cfg_param_8c_html_aa51a3809577ff9b39347a158d9d628f9"><div class="ttname"><a href="../../d0/d22/_cfg_param_8c.html#aa51a3809577ff9b39347a158d9d628f9">CFG_TYPE_INT</a></div><div class="ttdeci">const int CFG_TYPE_INT</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d22/_cfg_param_8c_source.html#l00002">CfgParam.c:2</a></div></div>
<div class="ttc" id="aclass_cfg_param_type_html"><div class="ttname"><a href="../../d2/d53/class_cfg_param_type.html">CfgParamType</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc8/_cfg_param_bool_8c_source.html#l00001">CfgParamBool.c:2</a></div></div>
<div class="ttc" id="aclass_cfg_param_type_html_a01f4c60112fbc41f975172093d15de77"><div class="ttname"><a href="../../d2/d53/class_cfg_param_type.html#a01f4c60112fbc41f975172093d15de77">CfgParamType::m_Value</a></div><div class="ttdeci">private bool m_Value</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc8/_cfg_param_bool_8c_source.html#l00003">CfgParamBool.c:3</a></div></div>
<div class="ttc" id="aclass_cfg_param_type_html_a3d1583fa7481ae1b3356094c62ce0268"><div class="ttname"><a href="../../d2/d53/class_cfg_param_type.html#a3d1583fa7481ae1b3356094c62ce0268">CfgParamType::GetValue</a></div><div class="ttdeci">int GetValue()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc8/_cfg_param_int_8c_source.html#l00015">CfgParamInt.c:15</a></div></div>
<div class="ttc" id="aclass_cfg_param_type_html_a55dcdf7a11179b63cedb94139c703f32"><div class="ttname"><a href="../../d2/d53/class_cfg_param_type.html#a55dcdf7a11179b63cedb94139c703f32">CfgParamType::m_Value</a></div><div class="ttdeci">private int m_Value</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc8/_cfg_param_int_8c_source.html#l00003">CfgParamInt.c:3</a></div></div>
<div class="ttc" id="aclass_cfg_param_type_html_a7be607ea82b7ca6597f4320351cbe518"><div class="ttname"><a href="../../d2/d53/class_cfg_param_type.html#a7be607ea82b7ca6597f4320351cbe518">CfgParamType::GetType</a></div><div class="ttdeci">override int GetType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc8/_cfg_param_int_8c_source.html#l00020">CfgParamInt.c:20</a></div></div>
<div class="ttc" id="aclass_cfg_param_type_html_a94ba4205ab00332fc75f5af7169aec1c"><div class="ttname"><a href="../../d2/d53/class_cfg_param_type.html#a94ba4205ab00332fc75f5af7169aec1c">CfgParamType::CfgParamInt</a></div><div class="ttdeci">void CfgParamInt(string param_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc8/_cfg_param_int_8c_source.html#l00005">CfgParamInt.c:5</a></div></div>
<div class="ttc" id="aclass_cfg_param_type_html_ad7d21d6322c2b1924f0dd232e27ac6bc"><div class="ttname"><a href="../../d2/d53/class_cfg_param_type.html#ad7d21d6322c2b1924f0dd232e27ac6bc">CfgParamType::SetValue</a></div><div class="ttdeci">void SetValue(int value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc8/_cfg_param_int_8c_source.html#l00010">CfgParamInt.c:10</a></div></div>
<div class="ttc" id="agroup___entity_attributes_html_gaaea70e7c6201c28366a5107506d29d77"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#gaaea70e7c6201c28366a5107506d29d77">m_Value</a></div><div class="ttdeci">string m_Value</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00788">EnEntity.c:788</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_95075feac9ee3609295b78ec16180d9e.html">ConfigHandler</a></li><li class="navelem"><a class="el" href="../../d2/dc8/_cfg_param_int_8c.html">CfgParamInt.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
